List Conversations.

List conversation resources owned by the current account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
required

This parameter indicates which Account owns the collections and resources reference by the request.

As a convenience, the slug me may be used in place of the account_id in any URL where it is
required. When me is used it will be replaced with the account_id of the current User.

Query Params
integer
Defaults to 50

Limit the number of resources in the response. Set to 0 to disable the limit and receive all resources in the response. Combine with the offset parameter for pagination.

integer
Defaults to 0

How many resources to offset from the beginning of the results (default: 0). Combined with the limit parameters this enables pagination through results. For example, to view the 2nd page of results, using the default limit of 50 the offset would be 50. For the 3rd page the offset would be 100 and so on.

string

Query for conversations associated with the provided audience_membership_id.

To query a history of conversations for the given audience_membership_id include the
query parameters status=any_terminal and order_by=updated_at_desc. This will return
all conversations with a terminal status, starting with the newest descending to the
oldest.

For example, to query the 5 most recent conversations with terminal status the query
string might look like this:

?audience_membership_id=5fbeb6aa-29c3-40cc-a9f1-0cfe24abf09c&status=any_terminal&order_by=updated_at_desc&limit=5
string

Query for conversations associated with the provided conversation_graph_id.

string
enum

Query for conversations that are in a state where a reply from customer support is needed
when true.

DEPRECATED: prefer the support_required query parameter

Allowed:
string
enum

Query for conversations that are in a state where a reply from customer support is needed
when true.

Allowed:
string
enum

Query for conversations that have a specific status.

  • scheduled - will run in the future

  • ready - ready to run now

  • running - currently running now

  • completed - successfully completed

  • expired - expired due to expires_at or inaction_ttl

  • cancelled - cancelled by user or automatically

  • any_terminal - one of the terminal status options completed, expired, or cancelled

Allowed:
string
enum
Defaults to inserted_at_desc

Sort resources in the response.

Each of the options represents a query more than one sort_by parameter:

  • inserted_at_asc - is ORDER BY inserted_at ASC

  • inserted_at_desc - is ORDER BY inserted_at DESC

  • updated_at_asc - is ORDER BY inserted_at ASC

  • updated_at_desc - is ORDER BY inserted_at DESC

Allowed:
Response

Callback
Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json